GetGroups (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.tools, class: GetGroups

Package org.apache.hadoop.hdfs.tools

# Class GetGroups

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.tools.GetGroupsBase
org.apache.hadoop.hdfs.tools.GetGroups

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`, `org.apache.hadoop.util.Tool`

@Private public class GetGroups extends org.apache.hadoop.tools.GetGroupsBase
HDFS implementation of a tool for getting the groups which a given user belongs to.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetGroups(org.apache.hadoop.conf.Configuration conf)`
  `GetGroups(org.apache.hadoop.conf.Configuration conf, PrintStream out)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected InetSocketAddress`
  `getProtocolAddress(org.apache.hadoop.conf.Configuration conf)`
  `protected org.apache.hadoop.tools.GetUserMappingsProtocol`
  `getUgmProtocol()`
  `static void`
  `main(String[] argv)`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.tools.GetGroupsBase

  `run`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf`

- ## Constructor Details

  - ### GetGroups

    public GetGroups(org.apache.hadoop.conf.Configuration conf)

  - ### GetGroups

    public GetGroups(org.apache.hadoop.conf.Configuration conf, PrintStream out)

- ## Method Details

  - ### getProtocolAddress

    protected InetSocketAddress getProtocolAddress(org.apache.hadoop.conf.Configuration conf) throws IOException
    Specified by:
      `getProtocolAddress` in class `org.apache.hadoop.tools.GetGroupsBase`
    Throws:
      `IOException`

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`
    Overrides:
      `setConf` in class `org.apache.hadoop.conf.Configured`

  - ### getUgmProtocol

    protected org.apache.hadoop.tools.GetUserMappingsProtocol getUgmProtocol() throws IOException
    Overrides:
      `getUgmProtocol` in class `org.apache.hadoop.tools.GetGroupsBase`
    Throws:
      `IOException`

  - ### main

    public static void main(String[] argv) throws Exception
    Throws:
      `Exception`